Name:           remind
Version:        03.01.15
Release:        7%{?dist}
Summary:        A sophisticated calendar and alarm program

Group:          Applications/Productivity
License:        GPLv2
URL:            http://www.roaringpenguin.com/en/penguin/openSourceProducts/remind

Source0:        http://www.roaringpenguin.com/files/download/remind-%{version}.tar.gz
Source1:        tkremind.desktop
Patch0:         remind-nostrip.patch

Requires:       tcl
BuildRequires:  gcc
BuildRequires:  desktop-file-utils
BuildRequires:  perl-generators

%description
Remind is a sophisticated calendar and alarm program. It includes the following
features:
  * A sophisticated scripting language
  * Plain-text, PostScript and HTML output
  * Timed reminders and pop-up alarms

%package gui
Group:          Applications/Productivity
Summary:        A graphical front-end for remind using Tcl/Tk
Requires:       tk > 8.0
Requires:       remind = %{version}-%{release}
Requires:       tcllib

%description gui
The remind-gui package contains a (self-described) "cheesy" graphical front
end for Remind using Tcl/Tk.

%prep
%setup -q
# Convert remind man page to UTF8
pushd man
iconv -c -t UTF8 remind.1 > remind.1.utf8
%{__mv} remind.1.utf8 remind.1
popd
%patch0 -p1
pushd www
find . -type f -exec chmod -x {} \;
popd


%build
%configure
%{__make} %{?_smp_mflags}

%check
cd src
if ! make test; then
  set +x
  for f in `find .. -name \*.diff -type f -print`; do
    echo "TEST FAILURE: $f --"
    cat "$f"
    echo "-- $f result ends."
  done
  set -x
fi

%install
# This preserves timestamps.
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

# Copy rem2html to /usr/bin.  Leave in the www directory also as it is used
# by the demo program there.
%{__install} -m 755 -p www/rem2html $RPM_BUILD_ROOT/usr/bin/

# Install desktop stuff.
desktop-file-install \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications  \
  --add-category "Office"                          \
  %{SOURCE1}

%files
%{_bindir}/rem2html
%{_bindir}/cm2rem.tcl
%{_bindir}/rem2ps
%{_bindir}/remind
%{_bindir}/rem
%{_mandir}/man1/cm2rem.1.gz
%{_mandir}/man1/rem2ps.1.gz
%{_mandir}/man1/remind.1.gz
%{_mandir}/man1/rem.1.gz

%doc COPYRIGHT docs/README.UNIX docs/WHATSNEW examples www

%files gui
%{_datadir}/applications/*
%{_bindir}/tkremind
%{_mandir}/man1/tkremind.1.gz

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 03.01.15-6
- Escape macros in %%changelog

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 Jaromir Capik <jcapik@redhat.com> - 03.01.15-1
- Updating to 03.01.15 (#1215295)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 03.01.13-4
- Perl 5.18 rebuild

* Thu Jun 13 2013 Jaromir Capik <jcapik@redhat.com> - 03.01.13-3
- Fixing unescaped %%check section in the changelog ...
- ... causing build failures on aarch64

* Wed May 01 2013 Jon Ciesla <limburgher@gmail.com> - 03.01.13-2
- Drop desktop vendor tag.

* Tue Apr 09 2013 Jaromir Capik <jcapik@redhat.com> - 03.01.13-1
- Updated to 03.01.13
- Fixing bogus dates in the changelog

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 03 2012 Jaromir Capik <jcapik@redhat.com> - 03.01.12-2
- fix for #816370 - rem2ps should not require margins to be at least 1/2 inch
- Patch from Jonathan Kamens

* Mon Apr 30 2012 Jaromir Capik <jcapik@redhat.com> - 03.01.12-1
- Updated to 03.01.12

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.07-1
- Upstream released 03.01.07

* Sat Feb 28 2009 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.06-1
- Latest version refresh

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 26 2008 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.04-1
- Updated to version 03.01.04

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 03.01.02-4
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-3
- Copied rem2html to /usr/bin per bz #430502
- Using a few more macros in spec file

* Wed Sep 19 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-2
- Added tcllib requires per bz #290761

* Thu Sep 13 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-1
- Updated to version 03.01.02

* Thu Aug 23 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.01-1
- Updated to version 03.01.01
- Updated license tag to GPLv2

* Wed Aug 15 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.00-1
- Updated to version 03.01.00

* Wed May 23 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-3
- Fixed permissions on www/* to be 0644.

* Mon May 07 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Added www to documentation.  A sample web application I do not feel is
  suitable for inclusion into the actual RPM.

* Thu May 03 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Using integer only release numbers.
- Preserve timestamps on manpages.
- Added %%check
- Removed README from documentation and added ACKNOWLEDGEMENTS

* Wed Apr 25 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1.1
- Applied patch from Dan Young (dyoung@mesd.k12.or.us) to not strip binaries
  See: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235802#c3
- Explicitly specifying man pages under %%files to avoid duplication of
  tkremind.1 across subpackages
- Added README and COPYRIGHT

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1
- Added .desktop file
- Initial release

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.5
- Convert remind.1 to UTF8

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.4
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.3
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.2
- Split into -gui sub-package.

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.1
- Initial release.
